Skip to main content
GET
/
api
/
v1
/
ssh-keys
/
{id}
Get SSH key
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/ssh-keys/{id} \
  --header 'Authorization: Bearer <token>'
{
  "algorithm": "ed25519",
  "auth_type": "key",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "default_host": "<string>",
  "default_port": 123,
  "default_username": "<string>",
  "fingerprint": "<string>",
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "public_key": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Response

SSH key details

algorithm
enum<string>
required
Available options:
ed25519,
rsa-2048,
rsa-4096,
ecdsa-256,
ecdsa-384,
ecdsa-521,
password
auth_type
enum<string>
required

Authentication type (key = generated key pair, password = password-based)

Available options:
key,
password
id
string<uuid>
required
name
string
required
created_at
string<date-time>
default_host
string | null
default_port
integer | null
default_username
string | null
fingerprint
string | null

SHA256 fingerprint of the public key (null for password auth)

project_id
string<uuid> | null
public_key
string | null

OpenSSH authorized_keys format public key (null for password auth)